<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Forms, Tables, and Semantics</title>
	</head>
	<body>
		<!-- div creates a container element used to group html elements -->
		<header>
			<h1>HTML Tables and Forms</h1>
		</header>
		<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters can mix up with HTML code).</em></p>
		<!-- Defines an HTML Table -->
		<main>
			<section>
				<h2>HTML Entities</h2>
				<table border="1">
					<!-- thead is used to group table header content -->
					<thead>
						<tr>
							<!-- th defines a table header element -->
							<th colspan="2">Entity</th>
							<th>Description</th>
						</tr>
					</thead>
					<!-- tbody is used to group table body content -->
					<tbody>
						<tr>
							<!-- td defines a table cell data -->
							<td>&lt;</td>
							<td>lt</td>
							<td>Less Than</td>
						</tr>
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>Greater Than</td>
						</tr>
						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>Peso Sign</td>
						</tr>
						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>Ampersand</td>
						</tr>
						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>Double Quotation Mark</td>
						</tr>
						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>Single Quotation (Apstrophy)</td>
						</tr>
						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>Lower Tilde</td>
						</tr>
						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>Upper Tilde</td>
						</tr>
					</tbody>
					<!-- tfoot is used to group footer content -->
					<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>
					</tfoot>
				</table>
			</section>
			<section>
				<h2>HTML Forms</h2>
				<p><em>Input elements that make up a form.</em></p>
				<form action="https://google.com">
					<!-- used for "for" to associate label and input eg. label first_name is associated with input textbox "id" first_name -->
					<!-- "name" attribute is the description for the input type -->
					<label for="first_name">First Name</label>
					<input type="textbox" name="first_name" id="first_name"><br>
					<label for="last_name">Last Name</label>
					<input type="textbox" name="last_name" id="last_name"><br>
					<!-- Autocomplete and required example -->
					<label for="email_address">Email Address</label>
					<input type="email" name="email_address" id="email_address" required autocomplete><br>
					<label>Password</label>
					<input type="password" name="Password"><br>
					<label for="birth_date">Birth Date:</label>
					<input type="date" name="birth_date" id="birth_date" required><br>
					<!-- min and max specify limits to input -->
					<label for="your_age">Your Age</label>
					<input type="number" name="your_age" id="your_age" min="0" max="120"><br>
					
					<!--select and option to use a dropdown menu  -->
					<label for="gender">Gender</label>
					<select name="gender" id="gender">
						<option value="Male">Male</option>
						<option value="Female">Female</option>
						<option value="Others">Others</option>
					</select><br>
					<textarea name="notes" rows="5"	id="notes"></textarea><br>
					<!-- How to use Radio button -->
					<label>New User:</label><br>
					
					<input type="radio" name="new_user" id="user-type1" value="yes">
					<label for="user-type1">Yes</label><br>
					
					<input type="radio" name="new_user" id="user-type2" value="no">
					<label for="user-type2">No</label><br>
					<br>
					<!-- How to use Checkbox -->
					<label>Role:</label><br>
					<input type="checkbox" name="role1" id="role1" value="developer">
					<label for="role1">Developer</label><br>
					<input type="checkbox" name="role2" id="role2" value="manager">
					<label for="role2">Manager</label><br>
					<input type="checkbox" name="role3" id="role3" value="engineer">
					<label for="role3">Engineer</label><br>
					<!-- submit button will do action attribute in form -->
					<button type="submit">Submit</button>
					<!-- reset will clear all fields -->
					<button type="reset">Reset</button>
				</form>
			</section>
		</main>
		
		
	</body>
</html>